Compiling gpx-viewer on Fedora ?

Asked by valent on 2012-06-10

Has anybody manager to install gpx-viewer on Fedora?

I managed to do it on Fedora 12 and 14, but can't compile it on Fedora 17.

I get these errors:

[valent@hpmini gpxviewer-0.1.0]$
checking for modules... configure: error: Package requirements (
        gtk+-2.0 >= 2.16
        champlain-gtk-0.3 >= 0.3.3
        champlain-0.3 >= 0.3.3
        gmodule-2.0
        libxml-2.0
        ) were not met:

No package 'champlain-gtk-0.3' found
No package 'champlain-0.3' found

[valent@hpmini gpx-viewer-0.1.2]$
checking for modules... configure: error: Package requirements (
        gtk+-2.0 >= 2.16
        champlain-gtk-0.3 >= 0.3.3
        champlain-0.3 >= 0.3.3
        gmodule-2.0
        libxml-2.0
        ) were not met:

No package 'champlain-gtk-0.3' found
No package 'champlain-0.3' found

[valent@hpmini gpx-viewer-0.2.0]$
checking for modules... configure: error: Package requirements (
        gtk+-2.0 >= 2.16
        champlain-gtk-0.4 >= 0.4.3
        champlain-0.4 >= 0.4.3
        gmodule-2.0
        libxml-2.0
        gdl-1.0
        unique-1.0
        ) were not met:

No package 'champlain-gtk-0.4' found
No package 'champlain-0.4' found
No package 'gdl-1.0' found

So as you can see I tried gpx-viewer versions 0.1.0, 0.1.2 and 0.2.0

I have these packages installed:

# yum install libchamplain libchamplain-devel champlain champlain-devel
Loaded plugins: langpacks, presto, refresh-packagekit
Package libchamplain-0.12.2-1.fc17.i686 already installed and latest version
Package libchamplain-devel-0.12.2-1.fc17.i686 already installed and latest version
No package champlain available.
No package champlain-devel available.

Question information

Language:
English Edit question
Status:
Expired
For:
gpxviewer Edit question
Assignee:
No assignee Edit question
Last query:
2012-06-10
Last reply:
2012-06-26

This question was reopened

valent (valent-turkovic) said : #1

Any suggestions?

I had this post on my blog, but it is not valid any more:
http://kernelreloaded.blog385.com/index.php/archives/gpx-viewer/

valent (valent-turkovic) said : #2

Any suggestions?

I had this post on my blog, but it is not valid any more:
http://kernelreloaded.blog385.com/index.php/archives/gpx-viewer/

Launchpad Janitor (janitor) said : #3

This question was expired because it remained in the 'Open' state without activity for the last 15 days.